<div class="topNavWrap">
  <div class="profileBar">
    <div class="pull-left">
      <ul class="lhs">
        <li class="w1"><span class="searchIcong"></span></li>
        <li class="w2"><input type="text"   [(ngModel)]="searchText"  class="seacrh" placeholder="Search  assignment name"/></li>
      </ul>
    </div>
    <div class="pull-right">
      <!-- <p  class="alert alert-danger" style="margin-bottom:0;padding:9px">pending beacuse of assets</p> -->
      <ul class="profile">
        <li>
          <div class="noftificationBel">
            <span class="belImg"></span>
            <em class="notistats">5</em>
          </div>
        </li>

        <li>
          <div class="dropdown profilePic">
            <div class="profilePic dropdown-toggle"  id="dropdownMenu1" data-toggle="dropdown" aria-haspopup="true" aria-expanded="true">
              <!-- <span class="caret"></span> -->
              <img src="assets/image/profilePic.png">
            </div>
            <ul class="dropdown-menu" aria-labelledby="dropdownMenu1">
              <li><a href="javascript:void(0)">Profile</a></li>
              <li><a href="javascript:void(0)" (click)="logout()">Logout</a></li>
            </ul>
          </div>
        </li>
      </ul>
    </div>
  </div>
</div>
<div class="listViewWrap1">
<!--      <div class="Assingstatus">
            <p>Physics Assignment successfully created </p>
        </div>-->
      <div class="bredcum">
            <div class="menuTab pull-left">
               <ul>
                  <li>
                     <p class="active" (click)="navigateAssignment()">Live</p>
                  </li>
                  <li>
                     <p>Completed</p>
                  </li>
                <!--  <li>
                     <p>Planned</p>
                  </li>-->
                  <li>
                     <p>Cancelled</p>
                  </li>
               </ul>
            </div>
            <div class="btnAssing text-right">
               <button class="btn btn-cyean" data-toggle="modal" data-target="#pop0"  >
               + Create
               </button>
            </div>
         </div>
         <div class="titleBar">
            <h4 class="black">{{assignmentList.length}} ATA</h4>
            <div class="sortCont">
               <ul>
                     <li>
                           <div class="filter">
                             <span></span>
                           </div>
                       </li>
                  <li>
                     <div class="dropDown custmdropdwon">
                       <select [ngModel]="selectedDevice" (ngModelChange)="showRecordsBasedonType($event)" name="sel2"
                               class="btn-custm" style="padding:9px 30px 9px 14px">
                         <option  value="all">All types</option>
                         <option value="Assignment">Assignment</option>
                         <option value="Project">Project</option>
                         <option value="Quiz">Quiz</option>
                         <option value="Test" >Test</option>
                       </select>
                     </div>
                  </li>
                 <li>
                    <!-- [ngClass]="!isGridViewActive&&isListViewActive ? 'gridv.active' : 'gridv'"  -->
                   <div class="gridv" (click)="navigateDashBoardView()"></div>
                 </li>
                 <li>
                    <!-- [ngClass]="isGridViewActive&&!isListViewActive ? 'listv.active' : 'listv'"  -->
                   <div class="listv active"  (click)="navigateListView()" ></div>
                 </li>
               </ul>
            </div>
         </div>

  <div class="listViewWrap"  *ngIf="assignmentList.length>0">
    <div class="ListViewHolder" (click)="zoomAdded(assignment)" *ngFor="let assignment of assignmentList | grdFilter: {assignmentName: searchText};">
      <table>
        <tr>
          <td class="profilePic">
            <div class="profileImg" *ngIf="assignment&&assignment.attachmentDetails[0]" >
              <img src="http://51.15.95.69:5200/getAssignmentFile/{{assignment.attachmentDetails[0]}}" >
            </div>
            <div class="profileImg" *ngIf="assignment&&!assignment.attachmentDetails[0]" >
              <img src="assets/image/d1.jpg" >
            </div>

          </td>
          <td class="title">
            <div class="assingment">
              <p class="assingmentTitle">{{assignment.assignmentName}}</p>

              <ul class="source">
                <li>
                  <p class="active">{{assignment.className}}</p>
                </li>
                <li>
                  <p class="active">{{assignment.semisterName}}</p>
                </li>
                <li>
                  <p>Monthly</p>
                </li>
              </ul>
            </div>
          </td>
          <td class="comentCont">
            <div class="comments">
              <ul>

                <li><span class="icon iconComment"></span>22/28</li>
                <li><span class="icon iconPpl"></span>6</li>

              </ul>
            </div>
          </td>
          <td class="statusCont">
            <div class="statusCirle">
              <div class="clearfix">
                <div class="c100 p50">
                  <span>50%</span>
                  <div class="slice">
                    <div class="bar"  style="border-color:#E16B55"></div>
                    <div class="fill"></div>
                  </div>
                </div>
              </div>
            </div>
            <div class="status">
              <p class="dueDate">Completed on {{assignment.assignmentStartDate|date}}</p>
              <p class="statusTxt orng">Due for evaluation date  {{assignment.evaluationCompletionDate|date}}</p>
            </div>
          </td>
          <td class="dropDownCont">
            <div class="dropDown custmdropdwon">
              <select class="btn-custm">
                <option>Share Result</option>
                <option>option 2</option>
                <option>option 3</option>
                <option>option 4</option>
              </select>
            </div>
          </td>
          <td class="editCont">
            <div class="edit "></div>
            <div class="popUpCont" [ngClass]="{'DB': assignment.index==localIndex}">
              <p (click)="navigateToEditAssignment(assignment)">Edit</p>
              <!-- (click)="deleteAssignmentDetails(assignment)"  -->
              <p (click)="deleteAssignmentIntermediateDetails(assignment)" data-toggle="modal" data-target="#deletePopUp">Delete</p>
            </div>
          </td>
        </tr>
      </table>
      <!--<p (click)="navigateToEditAssignment(assignment)">Edit</p>
      <p (click)="deleteAssignmentDetails(assignment)">Delete</p>-->
    </div>

  </div>

<!--  <ul class="listViewWrap"  *ngIf="assignmentList.length===0 && !recordAvailableStatus">
    Click on + to create new assignment

  </ul>-->

  <div class="noContent" *ngIf="assignmentList.length===0 && !recordAvailableStatus">
    <p>Click on + to create new assignment</p>
  </div>


</div>

<app-createassigmentpopup></app-createassigmentpopup>

<!-- <div class="modal fade" id="deletePopUp" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">

  <div class="modal-dialog" role="document">
    <div class="modal-content">

      Are you sure to delete the assignment

      <button (click)="deleteAssignmentDetails()">delete</button>
      <button >Close</button>
    </div>
  </div>
</div> -->


<div class="modal" id="deletePopUp" style="display: none; z-index: 1050;padding:30px;margin-top:10%;">
    <div class="modal-dialog">
 
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal">&times;</button>
                <h4 class="modal-title">Delete Assignment</h4>
              </div>
      
            <div class="modal-body" id="confirmMessage">
              Are you sure to delete the assignment {{deleteAssignmentIntermediate.assignmentName}}
            </div>
            <div class="modal-footer">
                <button type="button"(click)="deleteAssignmentDetails(assignment)" data-dismiss="modal" class="btn btn-default" id="confirmOk">Delete</button>
                <button type="button" class="btn btn-default" data-dismiss="modal" id="confirmCancel">Cancel</button>
            </div>
        </div>
    </div>
</div>

